@import "~@angular/material/theming";
@include mat-core();

$primary: mat-palette($mat-deep-purple, 600, 300, 900);
$my-app-accent: mat-palette($mat-amber, 400, 200, 900);
$warn: mat-palette($mat-deep-orange);
$my-app-theme: mat-light-theme($primary, $my-app-accent, $warn);
@include angular-material-theme($my-app-theme);

$dark-primary: mat-palette($mat-blue-grey);
$dark-accent: mat-palette($mat-amber, A200, A100, A400);
$dark-warn: mat-palette($mat-deep-orange);
$dark-theme: mat-dark-theme($dark-primary, $dark-accent, $dark-warn);

snack-bar-container.success {
  color: #155724;
  background-color: #d4edda;
  border-color: #c3e6cb;
}
snack-bar-container.info {
  color: #0c5460;
  background-color: #d1ecf1;
  border-color: #bee5eb;
}



$foreground: map-get($my-app-theme, foreground);
$background: map-get($my-app-theme, background);

.mat-paginator {
  background: none;
}
pre.dark-theme {
  color: white !important;
}

.dark-theme {
  background-color: #424242;
  @include angular-material-theme($dark-theme);
}
